Groups | Search | Server Info | Keyboard shortcuts | Login | Register [http] [https] [nntp] [nntps]
Groups > linux.debian.kernel > #81089
| From | "Mario Izquierdo (mariodebian)" <mariodebian@gmail.com> |
|---|---|
| Newsgroups | linux.debian.bugs.dist, linux.debian.kernel |
| Subject | Bug#1055694: klibc-utils: Patch to fix cp warning |
| Date | 2023-12-07 10:50 +0100 |
| Message-ID | <HIjb4-bV2Y-3@gated-at.bofh.it> (permalink) |
| References | <Hyv3P-4pBp-3@gated-at.bofh.it> |
| Organization | linux.* mail to news gateway |
Cross-posted to 2 groups.
Package: klibc-utils
Version: 2.0.13-2
Followup-For: Bug #1055694
Dear Maintainer,
I found a small typo in initramfs-tools klibc-utils script:
# diff -ur klibc-utils /usr/share/initramfs-tools/hooks/klibc-utils
--- klibc-utils 2023-12-07 10:35:52.738502916 +0100
+++ /usr/share/initramfs-tools/hooks/klibc-utils 2023-12-07 10:36:02.686695427 +0100
@@ -27,7 +27,7 @@
;;
*)
# Don't install commands that already exist in /bin or /sbin
- if ! [ -e "${DESTDIR}/sbin/$command" ]; then
+ if ! [ -e "${DESTDIR}/bin/$command" ]; then
cp -pnL "$src" "${DESTDIR}/bin"
fi
;;
With this change "if" works ok detecting file exists and don't try to overwrite.
Greetings
-- System Information:
Debian Release: trixie/sid
APT prefers unstable
APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)
Kernel: Linux 6.5.0-4-amd64 (SMP w/8 CPU threads; PREEMPT)
Kernel taint flags: TAINT_PROPRIETARY_MODULE, TAINT_OOT_MODULE, TAINT_UNSIGNED_MODULE
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /usr/bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled
Versions of packages klibc-utils depends on:
ii libklibc 2.0.13-2
klibc-utils recommends no packages.
klibc-utils suggests no packages.
-- no debconf information
Back to linux.debian.kernel | Previous | Next — Previous in thread | Next in thread | Find similar | Unroll thread
Bug#1055694: initramfs-tools: After updating coreutils cp: not replacing in console when running update-initramfs Konomi <konomikitten@gmail.com> - 2023-11-10 09:30 +0100
Processed: Re: Bug#1055694: initramfs-tools: After updating coreutils cp: not replacing in console when running update-initramfs "Debian Bug Tracking System" <owner@bugs.debian.org> - 2023-11-10 16:50 +0100
Bug#1055694: initramfs-tools: After updating coreutils cp: not replacing in console when running update-initramfs Sven Joachim <svenjoac@gmx.de> - 2023-11-10 16:50 +0100
Bug#1055694: initramfs-tools: After updating coreutils cp: not replacing in console when running update-initramfs Thorsten Glaser <tg@evolvis.org> - 2023-11-11 01:50 +0100
Bug#1055694: initramfs-tools: After updating coreutils cp: not replacing in console when running update-initramfs Sven Joachim <svenjoac@gmx.de> - 2023-11-11 08:40 +0100
Bug#1055694: initramfs-tools: After updating coreutils cp: not replacing in console when running update-initramfs Michael Stone <mstone@debian.org> - 2024-01-03 23:10 +0100
Bug#1055694: initramfs-tools: After updating coreutils cp: not replacing in console when running update-initramfs Chris Hofstaedtler <zeha@debian.org> - 2024-01-04 01:10 +0100
Bug#1055694: klibc-utils: Patch to fix cp warning "Mario Izquierdo (mariodebian)" <mariodebian@gmail.com> - 2023-12-07 10:50 +0100
Bug#1055694: klibc-utils: Patch to fix cp warning Vincent Lefevre <vincent@vinc17.net> - 2023-12-07 11:40 +0100
Bug#1055694: klibc-utils: Patch to fix cp warning Florent 'Skia' Jacquet <florent.jacquet@canonical.com> - 2023-12-13 11:00 +0100
Bug#1055694: marked as done (/usr/share/initramfs-tools/hooks/klibc-utils: cp: warning: behavior of -n is non-portable and may change in future; use --update=none instead) "Debian Bug Tracking System" <owner@bugs.debian.org> - 2024-02-21 15:40 +0100
csiph-web